### Function

# Gimp param_spec_matrix2

since: 2.4

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_matrix2 (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      const GimpMatrix2* default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a param spec to hold a `GimpMatrix2` value. See `g_param_spec_internal()` for more information.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nickname of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Brief description of param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`default_value`

  Type: `GimpMatrix2`

  Value to use if none is assigned.

  The data is owned by the caller of the function.

`flags`

  Type: `GParamFlags`

  A combination of `GParamFlags`.

#### Return value

Type: `GParamSpec`

A newly allocated `GParamSpec` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.